<?php
namespace Claromentis\Projects\Comments;

$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"] ?: array()) + array("_69228177" . "0f7e78b4e" . "16a657a42" . "c2bc58" => base64_decode("cHJvamVjdHM" . "udGFza19kaX" . "NjdXNzaW9uX" . "3Bvc3RlZA=="), "_fee8ad32cafd14e7ed89e05a85504f" . "b8" => base64_decode("cHJvamVjdHMudGFza19yZXBs" . "eV9wb3N0ZWQ="), "_6e38cb9e043a07cd69a1711a6" . "704c62a" => base64_decode("cGFyZW50X" . "2lk"), "_a71dc9333bd8ad95d55d" . "6624b477875f" => base64_decode("ZGF0YQ" . "=="), "_fa7526ba4ccc308fe611864" . "45986ceaa" => base64_decode("cmVjaXBpZW" . "50cw=="));
use Claromentis\Comments\Model\Comment;
use Claromentis\Projects\Notification;
use Claromentis\Projects\Service\NotificationService;
class TaskCommentNotification
{
    private $_comment;
    private $_notification;
    public function __construct(Comment $_e8d840684607f6c2bbef523090642168, NotificationService $_88e3baed593bc10d4b7045181b4ac725)
    {
        $this->_comment = $_e8d840684607f6c2bbef523090642168;
        $_dadf790baf241afac942824c1e6e37c4 = NotificationService::TASK_DISCUSSION_POSTED;
        if ($_e8d840684607f6c2bbef523090642168->GetProperty($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_6e38cb9e043a07cd69a1711a6" . "704c62a"]) > 0) {
            $_dadf790baf241afac942824c1e6e37c4 = NotificationService::TASK_REPLY_POSTED;
        }
        $_99aaa03a11622e16e59bff0771ea8ef3 = new Notification($_dadf790baf241afac942824c1e6e37c4, $this->_comment);
        $this->_notification = $_88e3baed593bc10d4b7045181b4ac725->GetNotificationData($_99aaa03a11622e16e59bff0771ea8ef3);
    }
    public function GetTemplate()
    {
        if ($this->_comment->parent_id == 0) {
            return $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_69228177" . "0f7e78b4e" . "16a657a42" . "c2bc58"];
        }
        return $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_fee8ad32cafd14e7ed89e05a8" . "5504fb8"];
    }
    public function GetMessageParams()
    {
        return $this->_notification[$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_a71dc9333bd8ad95d55d6624b" . "477875f"]];
    }
    public function GetRecipients()
    {
        return $this->_notification[$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_fa7526ba4ccc308fe" . "61186445986ceaa"]];
    }
    public function GetType()
    {
        return Notification::IM_TYPE_TASK;
    }
}